<template>
  <div>
  <div v-if="$fetchState.pending" class="fetch-pending">
    <Loader />
  </div>
  <div class="common mt-100 pt-48">
    <div class="container">
      <div class="row">
        <div class="col-12 mb-48 page-titles" v-if="page">
          <div class="wrapper pr-100 pl-100 pt-28 pb-8" >
            <div class="d-flex align-items-center mb-48">
              <img :src="page.title_logo_url"  v-if="page.title_logo_url" alt="">
              <svg v-else width="33" height="40" viewBox="0 0 33 40" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path fill-rule="evenodd" clip-rule="evenodd" d="M0 7.27273C0 3.25611 3.25611 0 7.27273 0H22.4421C24.3709 0 26.2208 0.766232 27.5847 2.13013L30.5971 5.1426C31.961 6.5065 32.7273 8.35634 32.7273 10.2852V32.7273C32.7273 36.7439 29.4712 40 25.4545 40H7.27273C3.25611 40 0 36.7439 0 32.7273V7.27273ZM29.0909 12.7273V32.7273C29.0909 34.7356 27.4629 36.3636 25.4545 36.3636H7.27273C5.26442 36.3636 3.63636 34.7356 3.63636 32.7273V7.27273C3.63636 5.26442 5.26442 3.63636 7.27273 3.63636H20V7.27273C20 10.2852 22.4421 12.7273 25.4545 12.7273H29.0909ZM28.8892 9.09091C28.7106 8.57745 28.4175 8.10559 28.0258 7.71389L25.0134 4.70143C24.6217 4.30973 24.1498 4.01662 23.6364 3.83807V7.27273C23.6364 8.27688 24.4504 9.09091 25.4545 9.09091H28.8892Z" fill="white"/>
              </svg>
              <h2 class="ml-18">{{ page.title }}</h2>
            </div>
              <div>

                <div v-html="page.content" class="static-content">
                </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
</template>

<script>
import AOS from "aos";
import "aos/dist/aos.css";
import {mapState} from "vuex";

export default {
  head() {
    return {
      title: `${this.page?.title}  |  US Star Trucking LLC`,
      meta: [
        // hid is used as unique identifier. Do not use `vmid` for it as it will not work
        {
          hid: "Learn about Privacy Policy",
          name: "description",
          content:
              "Learn about Privacy Policy of US Star Trucking LLC.",
        },
        {
          hid: "Car shipping company",
          name: "keywords",
          content:
              "auto transport company, car shipping company, car shipping companies, companies that ship cars, auto transport companies, car transport companies, best car shipping company, best company to ship a car, car moving companies, car hauling companies, auto shipping companies, vehicle transport company, vehicle transportation company",
        },
      ],
    };
  },

  layout: "pages",

  mounted() {
    AOS.init();
  },

  async fetch() {
    await this.$store.dispatch("fetchPage", this.$route.params.slug);
  },

  computed: {
    ...mapState({
      page: (state) => state.page,
    }),
  },

}
</script>
